Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 6 of 6
  1. #1

    Upgrading to Fedora 14

    So we upgraded to fedora 14.
    We also upgraded to 7.5.2-1 of the squeezebox server

    # rpm -Uvh /home/udo/Download/Linux/squeezeboxserver-7.5.2-1.noarch.rpm
    warning: /home/udo/Download/Linux/squeezeboxserver-7.5.2-1.noarch.rpm: Header V3 DSA/SHA1 Signature, key ID 4123722a: NOKEY
    Preparing... ########################################### [100%]
    1:squeezeboxserver ########################################### [100%]
    Point your web browser to http://bla:9000/ to configure SqueezeBox Server.

    # /etc/rc.d/init.d/squeezeboxserver start
    Starting Squeezebox Server: Use of inherited AUTOLOAD for non-method YAML::Syck:umpYAML() is deprecated at /usr/share/squeezeboxserver/CPAN/YAML/Syck.pm line 65.
    The following modules failed to load: EV JSON::XS YAML::Syck GD Sub::Name


    *******

    NOTE:

    If you're running some unsupported Linux/Unix platform, please use the buildme.sh
    script located here:

    http://svn.slimdevices.com/repos/sli...k/vendor/CPAN/

    You should never need to do this if you're on Windows or Mac OSX. If the installers
    don't work for you, ask for help and/or report a bug.

    If 7.5 is outdated by the time you read this, Replace "7.5" with the major version
    of Squeezebox Server you are running.

    *******


    Exiting..
    [ OK ]
    # rpm -qi perl
    Name : perl Relocations: (not relocatable)
    Version : 5.12.2 Vendor: Fedora Project
    Release : 140.fc14 Build Date: Wed 01 Dec 2010 02:08:23 PM CET
    Install Date: Fri 31 Dec 2010 12:58:24 PM CET Build Host: x86-19.phx2.fedoraproject.org
    Group : Development/Languages Source RPM: perl-5.12.2-140.fc14.src.rpm
    Size : 44951715 License: (GPL+ or Artistic) and (GPLv2+ or Artistic) and Copyright Only and MIT and Public Domain and UCD
    Signature : RSA/SHA256, Wed 01 Dec 2010 06:17:05 PM CET, Key ID 421caddb97a1071f
    Packager : Fedora Project
    (cut)

    So what is wrong? I do have the perl packages it needs, as they were there and working OK while at Fedora 13...

    What is the real fix?
    Please post!

  2. #2
    Senior Member
    Join Date
    Dec 2006
    Location
    Boulder, CO
    Posts
    692
    The 7.5.2 official release does not work on Fedora 14 -- you need to use a 7.5.3 nightly instead. The reason: lack of support for perl 5.12 in 7.5.2.
    See http://forums.slimdevices.com/showthread.php?t=84059
    Last edited by Ron Olsen; 2010-12-31 at 14:02.

  3. #3
    Thanks a lot!

    Next problem: I see no nightly RPMs at http://downloads.slimdevices.com/nightly/?ver=7.5. Wrong place?

  4. #4
    Senior Member Mnyb's Avatar
    Join Date
    Feb 2006
    Location
    Vństerňs Sweden
    Posts
    16,528
    Quote Originally Posted by udovdh View Post
    Thanks a lot!

    Next problem: I see no nightly RPMs at http://downloads.slimdevices.com/nightly/?ver=7.5. Wrong place?
    It is the right place .

    The Build server is broken, they fix it after the holiday

    So you cant get a 7.5.3 right now
    --------------------------------------------------------------------
    Main hifi: Rasbery PI digi+ MeridianG68J MeridianHD621 MeridianG98DH 2 x MeridianDSP5200 MeridianDSP5200HC 2 xMeridianDSP3100 +Rel Stadium 3 sub.
    Bedroom/Office: Boom
    Loggia: Raspi hifiberry dac + Adams
    Bathroom : Radio (with battery)
    iPad with iPengHD & SqueezePad
    (spares Touch, SB3, reciever ,controller )
    server Intel NUC Esxi VM Linux mint 18 LMS 7.9.2

    http://people.xiph.org/~xiphmont/demo/neil-young.html

  5. #5
    Hmm, thanks for the info.
    I'll have another look at that url next week.

  6. #6
    So we found an rpm download at the URL today.
    We installed perl-CGI.
    We upgraded the squeezeboxserver.
    We started the squeezeboxserver.
    After a few seconds the squeezebox came to life again.

    Thanks!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •